CREATE TABLE statements
(
    id			 int,
    pred		 int,
    subj		 int,
    obj			 int,
    fact		 int    -- 0 if only a reified statement
);

CREATE INDEX statements_predsub_idx ON statements (pred, subj);
CREATE INDEX statements_subj_idx ON statements (subj);
CREATE INDEX statements_id_idx ON statements ( id );
CREATE INDEX statements_predobj_idx ON statements (pred, obj);

-- If a statement referes to a nonexistent resource, it is taken to be
-- an internal statement with the name local#nr, there local is the
-- locale namespace and nr is the id number. But if there is a
-- statement with the same name, it is taken to be a reference to the
-- reified statement. 

CREATE TABLE resources
(
    id			 int,
    uri			 text,
    value		 text,
    isprefix		 int,
    lang		 text
);

CREATE INDEX resources_id_idx ON resources ( id );
CREATE INDEX resources_uri_idx ON resources ( uri );


CREATE TABLE prefix
(
    from		 int,
    to			 int
);

CREATE SEQUENCE internal_id;
